package com.jxdinfo.hussar.core.bouncycastle.asn1;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1SequenceParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1StreamParser;
import com.jxdinfo.hussar.core.bouncycastle.asn1.BERSequence;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import java.io.IOException;

public class BERSequenceParser implements ASN1SequenceParser {
  private ASN1StreamParser try;
  
  public DERObject getDERObject() {
    return getLoadedObject();
  }
  
  BERSequenceParser(ASN1StreamParser aSN1StreamParser) {
    this.try = aSN1StreamParser;
  }
  
  public DERObject getLoadedObject() throws IOException {
    return (DERObject)new BERSequence(this.try.final());
  }
  
  public DEREncodable readObject() throws IOException {
    return this.try.readObject();
  }
}
